Skip to main content
GET
/
v1
/
rewards
/
lookup
Lookup reward by code
curl --request GET \
  --url https://api.oneofnone.io/v1/rewards/lookup \
  --header 'x-api-key: <api-key>'
{
  "reward": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "value": 123,
    "minimumPurchase": 123,
    "minimumQuantity": 123,
    "usageLimitTotal": 123,
    "usageLimitPerCustomer": 123,
    "startsAt": "<string>",
    "expiresAt": "<string>",
    "stackable": true,
    "globalCode": "<string>",
    "externalUrl": "<string>",
    "imageId": 123,
    "conditions": {},
    "totalRedemptions": 123,
    "totalRevenueImpact": 123,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "image": {
      "id": 123,
      "url": "<string>"
    },
    "externalIds": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "externalId": "<string>",
        "externalCodeId": "<string>",
        "syncedAt": "<string>",
        "error": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "access": {
      "qualifies": true,
      "reasons": [
        "<string>"
      ]
    }
  },
  "code": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "code": "<string>",
    "reservedFor": "<string>",
    "redeemedBy": "<string>",
    "redeemedAt": "<string>",
    "orderId": "<string>",
    "externalOrderId": "<string>",
    "createdAt": "<string>",
    "expiresAt": "<string>",
    "updatedAt": "<string>",
    "externalIds": {
      "shopify": {
        "discountId": "<string>",
        "codeId": "<string>",
        "syncedAt": "<string>",
        "error": "<string>"
      },
      "stripe": {
        "discountId": "<string>",
        "codeId": "<string>",
        "syncedAt": "<string>",
        "error": "<string>"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

code
string
required
Required string length: 1 - 128

Response

Successful response

reward
object
required
code
object
required
matchedVia
enum<string>
required
Available options:
unique_code,
global_code